!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
! D.J. Jeffery, 2020jan06
! An include file to declare functions types.  Must be in the declartion
!  list.  I suggest right after parameters.
!      include 'function_type_declaration.f' ! A file that declares the function types.
!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
      real (kind=np) :: func_phi
      real (kind=np) :: func_phi_r
      real (kind=np) :: func_phi_r_inverse
!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
      real (kind=np) :: func_xne_h_analytic_equation
      real (kind=np) :: func_xne_h_analytic_exact
      real (kind=np) :: func_xne_h_analytic_exact2
      real (kind=np) :: func_xne_h_analytic_series_small
      real (kind=np) :: func_xne_h_analytic_series_large
!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12

